/*
 *  D3D9_Base.h
 *  LibAlky
 *
 *  Created by Cody Brocious on 6/8/06.
 *  Copyright 2006 Cody Brocious.  Redistribution terms are in the included LICENSE file.
 *
 */

#ifndef __ALKY_D3D9_BASE_H__
#define __ALKY_D3D9_BASE_H__

#include "D3D9.h"

struct foo { void *bar; };

CLASS(IDirect3D9,
      STRUCT(),
      VTABLE(
             CSTUB(Direct3D9_QueryInterface),
             CSTUB(Direct3D9_AddRef),
             CSTUB(Direct3D9_Release),
             CSTUB(Direct3D9_RegisterSoftwareDevice),
             CSTUB(Direct3D9_GetAdapterCount),
             CSTUB(Direct3D9_GetAdapterIdentifier),
             CSTUB(Direct3D9_GetAdapterModeCount),
             CSTUB(Direct3D9_EnumAdapterModes),
             CSTUB(Direct3D9_GetAdapterDisplayMode),
             CSTUB(Direct3D9_CheckDeviceType),
             CSTUB(Direct3D9_CheckDeviceFormat),
             CSTUB(Direct3D9_CheckDeviceMultiSampleType),
             CSTUB(Direct3D9_CheckDepthStencilMatch),
             CSTUB(Direct3D9_CheckDeviceFormatConversion),
             CSTUB(Direct3D9_GetDeviceCaps),
             CSTUB(Direct3D9_GetAdapterMonitor),
             CMEMBER(Direct3D9_CreateDevice)
             ));

#endif
