/*
 *  D3DGL.h
 *  LibAlky
 *
 *  Created by Cody Brocious on 6/9/06.
 *  Copyright 2006 Cody Brocious.  Redistribution terms are in the included LICENSE file.
 *
 */

#ifndef __ALKY_D3DGL_H__
#define __ALKY_D3DGL_H__

#ifdef MAC
#include <AGL/agl.h>
#include <OpenGL/gl.h>
#endif

#ifdef LINUX
#include <GL/gl.h>
#endif

#include "D3DGL_Init.h"

uint D3DSetTransformProc(D3DTransformStateType type,
                      D3DMatrix *mat);

uint D3DSetRenderStateProc(D3DRenderStateType type,
                           DWORD value);

uint D3DSetSamplerStateProc(int sampler, D3DSamplerStateType type,
                            DWORD value);

uint D3DSetFVFProc(DWORD fvf);

#endif
