/*
 *  D3DGL_Init.c
 *  LibAlky
 *
 *  Created by Cody Brocious on 6/10/06.
 *  Copyright 2006 Cody Brocious.  Redistribution terms are in the included LICENSE file.
 *
 */

#include "D3DGL_Init.h"

#ifdef MAC
void D3DGLInitWindowed(HWND window, D3DPresentationParameters *params) {
  GLint attributes[] =  { AGL_RGBA,
    AGL_DOUBLEBUFFER, 
    AGL_DEPTH_SIZE, 24,
    AGL_NONE };
  
  AGLContext myAGLContext = NULL;
  AGLPixelFormat myAGLPixelFormat;
  
  AlkyLog("D3DGLInitWindowed called");
  
  myAGLPixelFormat = aglChoosePixelFormat (NULL, 0, attributes);
  
  if(!myAGLPixelFormat) {
    return;
  }
  
  myAGLContext = aglCreateContext (myAGLPixelFormat, NULL);
    
  if(!aglSetDrawable(myAGLContext, GetWindowPort(window->wind))) {
    return;
  }
  
  if(!aglSetCurrentContext(myAGLContext)) {
    return;
  }
}
#endif
