/*
 *  Kernel32_Thread.c
 *  LibAlky
 *
 *  Created by Matt Barnard on 6/15/06.
 *  Copyright 2006 Matt Barnard.  Redistribution terms are in the included LICENSE file.
 *
 */

#include "Kernel32.h"

ALKYAPI HANDLE CreateSemaphoreA_W32(LPSECURITY_ATTRIBUTES lpSemaphoreAttributes,LONG lInitialCount,LONG lMaximumCount,LPCSTR lpName, LONG i) {
  AlkyLog("CreateSemaphoreA called");
  
  return (HANDLE) 0xDEADBEEF;
}

STUB(HANDLE, CreateThread, (LPSECURITY_ATTRIBUTES lpThreadAttributes,DWORD dwStackSize,LPTHREAD_START_ROUTINE lpStartAddress,LPVOID lpParameter,DWORD dwCreationFlags,LPDWORD lpThreadId), 0);
STUB(DWORD, ResumeThread, (HANDLE hThread), 0);
STUB(DWORD, SuspendThread, (HANDLE hThread), 0);
STUB(BOOL, GetExitCodeThread, (HANDLE hThread,LPDWORD lpExitCode), 0);
STUB(BOOL, SetThreadPriority, (HANDLE hThread,int nPriority), 0);
STUB(DWORD, SetThreadAffinityMask, (HANDLE hThread,DWORD dwThreadAffinityMask), 0);
STUB(LONG, InterlockedIncrement, (LPLONG lpAddend), 0);
STUB(LONG, InterlockedDecrement, (LPLONG lpAddend), 0);
STUB(DWORD, WaitForSingleObject, (HANDLE hHandle,DWORD dwMilliseconds), 0);
STUB(BOOL, ReleaseSemaphore, (HANDLE hSemaphore,LONG lReleaseCount,LPLONG lpPreviousCount), 0);
STUB(LONG, InterlockedExchange, (LPLONG Target,LONG Value), 0);
// STUB(HANDLE, CreateSemaphoreA, (LPSECURITY_ATTRIBUTES lpSemaphoreAttributes,LONG lInitialCount,LONG lMaximumCount,LPCSTR lpName), 0);