/*
 *  D3D9_VertexBuffer.h
 *  LibAlky
 *
 *  Created by Cody Brocious on 6/12/06.
 *  Copyright 2006 Cody Brocious.  Redistribution terms are in the included LICENSE file.
 *
 */

#ifndef __ALKY_D3D9_VERTEXBUFFER_H__
#define __ALKY_D3D9_VERTEXBUFFER_H__

ALKYAPI HRESULT IDirect3DDevice9_CreateVertexBuffer_W32(
                                                        void *IDirect3DDevice9,
                                                        uint length,
                                                        uint usage,
                                                        uint fvf,
                                                        D3DPool pool,
                                                        void **retVB,
                                                        void *sharedHandle
                                                        );
#endif

#ifdef __DEF_CLASS__

CLASS(IDirect3DVertexBuffer9,
      STRUCT(
             uint length, usage, fvf;
             D3DPool pool;
             void *sharedHandle;
             void *buf;
             ),
      VTABLE(
             CSTUB(IDirect3DDevice9_QueryInterface), /* 0000 */
             CSTUB(IDirect3DDevice9_AddRef), /* 0004 */
             CSTUB(IDirect3DDevice9_Release), /* 0008 */
             CSTUB(IDirect3DDevice9_GetDevice), /* 000c */
             CSTUB(IDirect3DDevice9_SetPrivateData), /* 0010 */
             CSTUB(IDirect3DDevice9_GetPrivateData), /* 0014 */
             CSTUB(IDirect3DDevice9_FreePrivateData), /* 0018 */
             CSTUB(IDirect3DDevice9_SetPriority), /* 001c */
             CSTUB(IDirect3DDevice9_GetPriority), /* 0020 */
             CSTUB(IDirect3DDevice9_PreLoad), /* 0024 */
             CSTUB(IDirect3DDevice9_GetType), /* 0028 */
             CSTUB(IDirect3DDevice9_Lock), /* 002c */
             CSTUB(IDirect3DDevice9_Unlock), /* 0030 */
             CSTUB(IDirect3DDevice9_GetDesc) /* 0034 */
             ));

#endif
