/*
 *  Kernel32_Exception.c
 *  LibAlky
 *
 *  Created by Matt Barnard on 6/15/06.
 *  Copyright 2006 Matt Barnard.  Redistribution terms are in the included LICENSE file.
 *
 */

#include "Kernel32.h"

DWORD lastError = 0;

ALKYAPI DWORD GetLastError_W32() {
  AlkyLog("GetLastError called");
  
  return lastError;
}

ALKYAPI void SetLastError_W32(DWORD dwErrCode) {
  AlkyLog("SetLastError called");
  
  lastError = dwErrCode;
}

STUB(LPTOP_LEVEL_EXCEPTION_FILTER, SetUnhandledExceptionFilter, (LPTOP_LEVEL_EXCEPTION_FILTER lpTopLevelExceptionFilter), 0);
VSTUB(RaiseException, (DWORD dwExceptionCode,DWORD dwExceptionFlags,DWORD nNumberOfArguments,const DWORD *lpArguments));
STUB(LONG, UnhandledExceptionFilter, (struct _EXCEPTION_POINTERS *ExceptionInfo), 0);

// STUB(DWORD, GetLastError, (), 0);
// VSTUB(SetLastError, (DWORD dwErrCode));