/*
 *  Kernel32_Process.c
 *  LibAlky
 *
 *  Created by Cody Brocious on 5/15/06.
 *  Copyright 2006 Cody Brocious.  Redistribution terms are in the included LICENSE file.
 *
 */

#include "Kernel32.h"

ALKYAPI DWORD GetCurrentProcessId_W32() {
  AlkyLog("GetCurrentProcessId called");
  
  return getpid();
}

ALKYAPI DWORD GetCurrentThreadId_W32() {
  AlkyLog("GetCurrentThreadId called");
  
  return 0x42;
  // return getpid();
}

ALKYAPI HANDLE GetCurrentProcess_W32() {
  AlkyLog("GetCurrentProcess called");
  
  return (HANDLE) 0xDEADBEEF;
}

ALKYAPI HANDLE GetCurrentThread_W32() {
  AlkyLog("GetCurrentThread called");
  
  return (HANDLE) 0xDEADBEEF;
}

STUB(BOOL, TerminateProcess, (HANDLE hProcess,UINT uExitCode), 0);

// STUB(FARPROC, GetProcAddress, (HMODULE hModule,LPCSTR lpProcName), 0);
// STUB(DWORD, GetCurrentProcessId, (), 1);
// STUB(HANDLE, GetCurrentProcess, (), 0);
// STUB(DWORD, GetCurrentThreadId, (), 1);
// STUB(HANDLE, GetCurrentThread, (), 0);
